package edu.cmu.cs.l3.tree;

public class IRComment extends IRStatement {

    public IRComment(String l) {
       m_comment = l;

       m_classname = "IRComment";
   }

   public String toString() {
       return m_comment;
   }

   public IRExpressionList getComponents() {
       return new IRExpressionList();
   }

   public IRStatement build(IRExpressionList comps) {
       return new IRComment(m_comment);
   }

   private String m_comment;

}